# Namespace: res_display_net_module

## res_display_net_module

Controlador de los módulos utilizados en comunidad ecológica.

Source:
  - res_display_net_module.js, line 2

### Methods

#### (private, static) ._configFilters(method)

Éste método realizado un llamado a los métodos del módulo red, tabla e histograma para regenerar los componentes visuales.

##### Parameters:

Name | Type | Description
--- | --- | ---
`method` | object | Método que es necesario para regenerar la información de cada módulo

Source:
  - res_display_net_module.js, line 621

#### (private, static) ._configFilters(json)

Éste método inicializa una instancia de crossfilter para generar la relación de la información entre el módulo red, el módulo histograma y el módulo tabla.

##### Parameters:

Name | Type | Description
--- | --- | ---
`json` | array | Array con los nodos y enlaces resultantes del análisis de comunidad ecológica

Source:
  - res_display_net_module.js, line 541

#### (private, static) ._createGraph(arrayTemp, s_filters, t_filters)

Éste método inicializa los módulos red, histograma y tabla para generar los componentes visuales, así como la conexión entre estos módulos para visualizar el resutlado del análisis de comunidad ecológica.

##### Parameters:

Name | Type | Description
--- | --- | ---
`arrayTemp` | array | Array con los enlaces resultantes del análisis de comunidad ecológica o con los filtros seleccinados utilizando crossfilter
`s_filters` | array | Array con los grupos de variables seleccionados en source
`t_filters` | array | Array con los grupos de variables seleccionados en target

Source:
  - res_display_net_module.js, line 464

#### (private, static) ._createNodeDictionary(json_file)

Éste método conecta los nodos a través de los enlaces generados en el análisis de comunidad ecológica basándose en el arreglo asociativo generado por el método _createNodeDictionary.

##### Parameters:

Name | Type | Description
--- | --- | ---
`json_file` | array | Array con el conjunto de enlaces que intervienen en el análisis de comunidad ecológica

Source:
  - res_display_net_module.js, line 426

#### (private, static) ._createNodeDictionary(json, s_filters, t_filters)

Éste método genera un arreglo asociativo de los nodos para llevar acabo la relación con el conjunto de enlaces.

##### Parameters:

Name | Type | Description
--- | --- | ---
`json` | array | Array con el conjunto de nodos que intervienen en el análisis de comunidad ecológica
`s_filters` | array | Array con los grupos de variables seleccionados en source
`t_filters` | array | Array con los grupos de variables seleccionados en target

Source:
  - res_display_net_module.js, line 384

#### (private, static) ._getColorFilterGroups(json, s_filters, t_filters)

Éste método asigna un índice a cada conjunto de variables seleccionado, tanto en source como en target.

##### Parameters:

Name | Type | Description
--- | --- | ---
`json` | array | Json con nodos y enlaces resultante del análisis de comunidad ecológica
`s_filters` | array | Array con los grupos de variables seleccionados en source
`t_filters` | array | Array con los grupos de variables seleccionados en target

Source:
  - res_display_net_module.js, line 637

#### (private, static) ._initilizeElementsForDisplay(variable_module, language_module, map_module, ids_comp_variables, tipo_modulo, test)

Éste método enlaza las variables globales de los módulos inicializados de variable, lenguaje y mapa.

##### Parameters:

Name | Type | Description
--- | --- | ---
`variable_module` | object | Módulo variable
`language_module` | object | Módulo internacionalización
`map_module` | object | Módulo mapa
`ids_comp_variables` | array | Array que contiene los identificadores de los componentes para seleccionar variables
`tipo_modulo` | integer | Identificador de la plataforma que se esta utilizando 0 - nicho ecológico y 1 comunidad ecológica
`test` | boolean | Bandera para trabajar con en modo de prueba o modo desarrollo. El modo prueba utiliza archivos locales para generar el análisis de comunidad ecológica

Source:
  - res_display_net_module.js, line 56

#### (static) .createLinkNodes(s_filters, t_filters, min_occ)

Éste método obtiene las especies y los enlaces de las especies conectadas por epsilon. Además realiza el llamado a la función que construye la red a partir de estos datos

##### Parameters:

Name | Type | Description
--- | --- | ---
`s_filters` | array | Array con los grupos de variables seleccionados en source
`t_filters` | array | Array con los grupos de variables seleccionados en target
`min_occ` | integer | Número mínimo de ocurrencias de una variable en nj necesarias para ser considerada en el análisis de comunidad ecológica

Source:
  - res_display_net_module.js, line 230

#### (static) .getFilters(var_sel_array, grp_type)

Éste método genera los filtros que son enviados al servidor basado en los conjuntos de variables source y target seleccionados.

##### Parameters:

Name | Type | Description
--- | --- | ---
`var_sel_array` | array | Array con los grupos de variables seleccionados
`grp_type` | integer | Identificador de la variable seleccionada

Source:
  - res_display_net_module.js, line 140

#### (static) .renderAll()

Éste método actualiza la información del módulo red y del módulo tabla cuando ha ocurrido una selección del histograma.

Source:
  - res_display_net_module.js, line 602

#### (static) .startResNetDisplay(variable_module, language_module, map_module, ids_comp_variables, tipo_modulo, test)

Éste método realiza un llamado a la función que inicializa las variables globales de los módulos necesarios para el análisis de comunidad ecológica

##### Parameters:

Name | Type | Description
--- | --- | ---
`variable_module` | object | Módulo variable
`language_module` | object | Módulo internacionalización
`map_module` | object | Módulo mapa
`ids_comp_variables` | array | Array que contiene los identificadores de los componentes para seleccionar variables
`tipo_modulo` | integer | Identificador de la plataforma que se esta utilizando 0 - nicho ecológico y 1 comunidad ecológica
`test` | boolean | Bandera para trabajar con en modo de prueba o modo desarrollo. El modo prueba utiliza archivos locales para generar el análisis de comunidad ecológica

Source:
  - res_display_net_module.js, line 109

#### (static) .updateLabels()

Éste método actualiza los labels del sistema cuando existe un cambio de lenguaje. Existen labels que no son regenerados ya que la información es obtenida por el servidor al momento de la carga.

Source:
  - res_display_net_module.js, line 826